## GwyCorrelTable

GwyCorrelTable — Table with fit correlation matrix

## Functions

GtkWidget * | gwy_correl_table_new ()
void | gwy_correl_table_resize ()
void | gwy_correl_table_set_name ()
void | gwy_correl_table_set_tooltip ()
void | gwy_correl_table_set_fixed ()
void | gwy_correl_table_set_correl ()
void | gwy_correl_table_clear ()
void | gwy_correl_table_set_high_threshold ()
void | gwy_correl_table_set_bad_threshold ()

## Types and Values

struct | GwyCorrelTable
struct | GwyCorrelTableClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── GwyCorrelTable

## Implemented Interfaces

GwyCorrelTable implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyCorrelTable displays parameter correlation matrix, usually obtained as the result of least squares fitting.

## Functions

### gwy_correl_table_new()

    GtkWidget *
    gwy_correl_table_new (void);

Creates a new fit correlation matrix table.

#### Returns

New fit correlation matrix table widget.

### gwy_correl_table_resize()

    void
    gwy_correl_table_resize (GwyCorrelTable *table,
                             guint n);

Resizes a fit correlation matrix table.

If the table shrinks then no further setup is necessary, in principle. If it expands, you should usually set row labels, and possibly values. Typically, this function is used when the fit model changes, so all entries are set up afterwards.

The table contents is cleared.

#### Parameters

table | A fit correlation matrix table. |
n | New number of parameters. |

### gwy_correl_table_set_name()

    void
    gwy_correl_table_set_name (GwyCorrelTable *table,
                               guint i,
                               const gchar *markup);

Sets the name of a parameter in a fit correlation matrix table.

#### Parameters

table | A fit correlation matrix table. |
i | Parameter index in the table. |
markup | Parameter name as valid Pango markup. |

### gwy_correl_table_set_tooltip()

    void
    gwy_correl_table_set_tooltip (GwyCorrelTable *table,
                                  guint i,
                                  const gchar *markup);

Sets the tooltip of a parameter in a fit correlation matrix table.

#### Parameters

table | A fit correlation matrix table. |
i | Parameter index in the table. |
markup | Parameter tooltip as valid Pango markup. |

### gwy_correl_table_set_fixed()

    void
    gwy_correl_table_set_fixed (GwyCorrelTable *table,
                                guint i,
                                const gboolean fixed);

Sets whether a parameter in a fit correlation matrix table is fixed.

Correlations are not displayed for fixed parameters, even when set.

#### Parameters

table | A fit correlation matrix table. |
i | Parameter index in the table. |
fixed | `TRUE` if the parameter is fixed (and thus it cannot be correlated with anything). |

### gwy_correl_table_set_correl()

    void
    gwy_correl_table_set_correl (GwyCorrelTable *table,
                                 guint i,
                                 guint j,
                                 gdouble correl);

Sets the value of a parameter correlation in a fit correlation matrix table.

The table will display the value only if neither `i` nor `j` is fixed.

#### Parameters

table | A fit correlation matrix table. |
i | Parameter index in the table. |
j | Parameter index in the table. |
correl | The value of correlation between `i` -th and `j` -th parameters. |

### gwy_correl_table_clear()

    void
    gwy_correl_table_clear (GwyCorrelTable *table);

Clears all correlation values in a fit correlation matrix table.

#### Parameters

table | A fit correlation matrix table. |

### gwy_correl_table_set_high_threshold()

    void
    gwy_correl_table_set_high_threshold (GwyCorrelTable *table,
                                         gdouble value);

Sets the threshold for high correlations in a fit correlation matrix table.

Values larger or equal to the threshold are styled as a warning. Set the threshold to a value larger to 1.0 to disable it.

See also `gwy_correl_table_set_bad_threshold()`.

#### Parameters

table | A fit correlation matrix table. |
value | High correlation threshold. |

### gwy_correl_table_set_bad_threshold()

    void
    gwy_correl_table_set_bad_threshold (GwyCorrelTable *table,
                                        gdouble value);

Sets the threshold for high correlations in a fit correlation matrix table.

Values larger or equal to the threshold are styled as an error. Set the threshold to a value larger to 1.0 to disable it.

See also `gwy_correl_table_set_high_threshold()`.

#### Parameters

table | A fit correlation matrix table. |
value | Bad correlation threshold. |

## Types and Values

### struct GwyCorrelTable

    struct GwyCorrelTable;

### struct GwyCorrelTableClass

    struct GwyCorrelTableClass {
        GtkGridClass parent_class;
    };